Page MenuHomePhabricator

dirstatemap: replace `removefile` by an explicit `entry.set_untracked()`
ClosedPublic

Authored by marmoute on Aug 21 2021, 5:55 AM.

Details

Summary

All the other caller goes through reset_state, so we can safely have an
explicit method on DirstateItem object.
This means that all the logic to preserve the previous state (from p2, merged,
etc) is now properly encapsulated within the DirstateItem. This pave the way to
using different storage for these information.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Aug 21 2021, 5:55 AM
Alphare accepted this revision.Aug 25 2021, 9:49 AM
This revision is now accepted and ready to land.Aug 25 2021, 9:49 AM
baymax updated this revision to Diff 30041.Aug 26 2021, 8:59 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)